﻿using System;
using System.Collections.Generic;

public static class CM3
{
	public static void Init()
	{
		if (PluginData.IsEnabled("GP001FB"))
		{
			CM3.dicDelItem.Add(MPN.matsuge_low, "_i_eyelashesunder_del.menu");
			CM3.dicDelItem.Add(MPN.futae, "_i_eyelid_del.menu");
			CM3.dicDelItem.Add(MPN.folder_matsuge_low, "_i_eyelashesunder_del_folder.menu");
			CM3.dicDelItem.Add(MPN.folder_futae, "_i_eyelid_del_folder.menu");
		}
	}

	public static Dictionary<MPN, string> dicDelItem = new Dictionary<MPN, string>
	{
		{
			MPN.hairt,
			"_I_hairt_del.menu"
		},
		{
			MPN.hairs,
			"_I_hairs_del.menu"
		},
		{
			MPN.acctatoo,
			"_I_acctatoo_del.menu"
		},
		{
			MPN.accnail,
			"_I_accnail_del.menu"
		},
		{
			MPN.underhair,
			"_I_underhair_del.menu"
		},
		{
			MPN.hokuro,
			"_I_hokuro_del.menu"
		},
		{
			MPN.lip,
			"_I_lip_del.menu"
		},
		{
			MPN.wear,
			"_I_wear_del.menu"
		},
		{
			MPN.skirt,
			"_I_skirt_del.menu"
		},
		{
			MPN.mizugi,
			"_I_mizugi_del.menu"
		},
		{
			MPN.bra,
			"_I_bra_del.menu"
		},
		{
			MPN.panz,
			"_I_panz_del.menu"
		},
		{
			MPN.stkg,
			"_I_stkg_del.menu"
		},
		{
			MPN.shoes,
			"_I_shoes_del.menu"
		},
		{
			MPN.headset,
			"_I_headset_del.menu"
		},
		{
			MPN.glove,
			"_I_glove_del.menu"
		},
		{
			MPN.acchead,
			"_I_acchead_del.menu"
		},
		{
			MPN.hairaho,
			"_I_hairaho_del.menu"
		},
		{
			MPN.accha,
			"_I_accha_del.menu"
		},
		{
			MPN.acchana,
			"_I_acchana_del.menu"
		},
		{
			MPN.acckamisub,
			"_I_acckamisub_del.menu"
		},
		{
			MPN.acckami,
			"_I_acckami_del.menu"
		},
		{
			MPN.accmimi,
			"_I_accmimi_del.menu"
		},
		{
			MPN.accnip,
			"_I_accnip_del.menu"
		},
		{
			MPN.acckubi,
			"_I_acckubi_del.menu"
		},
		{
			MPN.acckubiwa,
			"_I_acckubiwa_del.menu"
		},
		{
			MPN.accheso,
			"_I_accheso_del.menu"
		},
		{
			MPN.accude,
			"_I_accude_del.menu"
		},
		{
			MPN.accashi,
			"_I_accashi_del.menu"
		},
		{
			MPN.accsenaka,
			"_I_accsenaka_del.menu"
		},
		{
			MPN.accshippo,
			"_I_accshippo_del.menu"
		},
		{
			MPN.accanl,
			"_I_accanl_del.menu"
		},
		{
			MPN.accvag,
			"_I_accvag_del.menu"
		},
		{
			MPN.megane,
			"_I_megane_del.menu"
		},
		{
			MPN.accxxx,
			"_I_accxxx_del.menu"
		},
		{
			MPN.handitem,
			"_I_handitem_del.menu"
		},
		{
			MPN.acchat,
			"_I_acchat_del.menu"
		},
		{
			MPN.onepiece,
			"_I_onepiece_del.menu"
		},
		{
			MPN.folder_underhair,
			"_I_underhair_folder_del.menu"
		},
		{
			MPN.kousoku_upper,
			"_I_KousokuU_del.menu"
		},
		{
			MPN.kousoku_lower,
			"_I_KousokuL_del.menu"
		},
		{
			MPN.seieki_naka,
			string.Empty
		},
		{
			MPN.seieki_hara,
			string.Empty
		},
		{
			MPN.seieki_face,
			string.Empty
		},
		{
			MPN.seieki_mune,
			string.Empty
		},
		{
			MPN.seieki_hip,
			string.Empty
		},
		{
			MPN.seieki_ude,
			string.Empty
		},
		{
			MPN.seieki_ashi,
			string.Empty
		}
	};

	public static Dictionary<string, string> newManBodyMenuSwap = new Dictionary<string, string>
	{
		{
			"mbody_moza_i_.menu",
			"crc_mbluebody_moza_i_.menu"
		},
		{
			"mbody_i_.menu",
			"crc_mbluebody001_i_.menu"
		},
		{
			"mbody001_i_.menu",
			"crc_mbluebody002_i_.menu"
		},
		{
			"mbody002_i_.menu",
			"crc_mbluebody003_i_.menu"
		},
		{
			"mbody003_i_.menu",
			"crc_mbluebody004_i_.menu"
		},
		{
			"mbody004_i_.menu",
			"crc_mbluebody005_i_.menu"
		},
		{
			"mbody005_i_.menu",
			"crc_mbluebody006_i_.menu"
		},
		{
			"mbody006_i_.menu",
			"crc_mbluebody007_i_.menu"
		},
		{
			"mhead000_i_.menu",
			"crc_mhead000_i_.menu"
		},
		{
			"mhead001_i_.menu",
			"crc_mhead001_i_.menu"
		},
		{
			"mhead002_i_.menu",
			"crc_mhead002_i_.menu"
		},
		{
			"mhead003_i_.menu",
			"crc_mhead003_i_.menu"
		},
		{
			"mhead004_i_.menu",
			"crc_mhead004_i_.menu"
		},
		{
			"mhead007_i_.menu",
			"crc_mhead007_i_.menu"
		},
		{
			"mhead008_i_.menu",
			"crc_mhead008_i_.menu"
		},
		{
			"mhead009_i_.menu",
			"crc_mhead009_i_.menu"
		},
		{
			"mhead010_i_.menu",
			"crc_mhead010_i_.menu"
		}
	};

	public static Dictionary<MPN, KeyValuePair<int, int>> newManParaPairs = new Dictionary<MPN, KeyValuePair<int, int>>
	{
		{
			MPN.Hara,
			new KeyValuePair<int, int>(0, 100)
		},
		{
			MPN.DouThick1X,
			new KeyValuePair<int, int>(45, 100)
		},
		{
			MPN.DouThick1Y,
			new KeyValuePair<int, int>(10, 100)
		},
		{
			MPN.DouThick2X,
			new KeyValuePair<int, int>(45, 100)
		},
		{
			MPN.DouThick2Y,
			new KeyValuePair<int, int>(30, 100)
		},
		{
			MPN.DouThick3X,
			new KeyValuePair<int, int>(45, 80)
		},
		{
			MPN.DouThick3Y,
			new KeyValuePair<int, int>(30, 90)
		},
		{
			MPN.UpperArmThickX,
			new KeyValuePair<int, int>(30, 100)
		},
		{
			MPN.UpperArmThickY,
			new KeyValuePair<int, int>(30, 100)
		},
		{
			MPN.LowerArmThickX,
			new KeyValuePair<int, int>(30, 100)
		},
		{
			MPN.LowerArmThickY,
			new KeyValuePair<int, int>(30, 100)
		},
		{
			MPN.ElbowThickX,
			new KeyValuePair<int, int>(30, 100)
		},
		{
			MPN.ElbowThickY,
			new KeyValuePair<int, int>(30, 100)
		},
		{
			MPN.NeckThickX,
			new KeyValuePair<int, int>(40, 80)
		},
		{
			MPN.NeckThickY,
			new KeyValuePair<int, int>(40, 80)
		},
		{
			MPN.DouThick4X,
			new KeyValuePair<int, int>(40, 100)
		},
		{
			MPN.DouThick4Y,
			new KeyValuePair<int, int>(40, 100)
		},
		{
			MPN.DouThick5X,
			new KeyValuePair<int, int>(45, 90)
		},
		{
			MPN.DouThick5Y,
			new KeyValuePair<int, int>(45, 100)
		},
		{
			MPN.HipSize,
			new KeyValuePair<int, int>(0, 50)
		},
		{
			MPN.ThighThickX,
			new KeyValuePair<int, int>(40, 100)
		},
		{
			MPN.ThighThickY,
			new KeyValuePair<int, int>(40, 100)
		},
		{
			MPN.KneeThickX,
			new KeyValuePair<int, int>(40, 100)
		},
		{
			MPN.KneeThickY,
			new KeyValuePair<int, int>(40, 100)
		},
		{
			MPN.CalfThickX,
			new KeyValuePair<int, int>(40, 90)
		},
		{
			MPN.CalfThickY,
			new KeyValuePair<int, int>(40, 90)
		},
		{
			MPN.AnkleThickX,
			new KeyValuePair<int, int>(50, 100)
		},
		{
			MPN.AnkleThickY,
			new KeyValuePair<int, int>(50, 100)
		},
		{
			MPN.UpperArmLowerThickX,
			new KeyValuePair<int, int>(30, 100)
		},
		{
			MPN.UpperArmLowerThickY,
			new KeyValuePair<int, int>(30, 100)
		},
		{
			MPN.WristThickX,
			new KeyValuePair<int, int>(40, 100)
		},
		{
			MPN.WristThickY,
			new KeyValuePair<int, int>(40, 100)
		},
		{
			MPN.ClavicleThick,
			new KeyValuePair<int, int>(30, 100)
		},
		{
			MPN.ShoulderTension,
			new KeyValuePair<int, int>(0, 50)
		},
		{
			MPN.ThighLowerThickX,
			new KeyValuePair<int, int>(40, 100)
		},
		{
			MPN.ThighLowerThickY,
			new KeyValuePair<int, int>(40, 100)
		}
	};

	public static Dictionary<TBody.MaskMode, HashSet<TBody.SlotID>> newBodyPartsMask = new Dictionary<TBody.MaskMode, HashSet<TBody.SlotID>>
	{
		{
			TBody.MaskMode.None,
			new HashSet<TBody.SlotID>()
		},
		{
			TBody.MaskMode.Nude,
			new HashSet<TBody.SlotID>
			{
				TBody.SlotID.wear,
				TBody.SlotID.skirt,
				TBody.SlotID.onepiece,
				TBody.SlotID.mizugi_top,
				TBody.SlotID.mizugi_buttom,
				TBody.SlotID.mizugi,
				TBody.SlotID.stkg,
				TBody.SlotID.glove,
				TBody.SlotID.shoes,
				TBody.SlotID.accKubi,
				TBody.SlotID.accKoshi,
				TBody.SlotID.accUde,
				TBody.SlotID.accUde_2,
				TBody.SlotID.accHeso,
				TBody.SlotID.accAshi,
				TBody.SlotID.accAshi_2,
				TBody.SlotID.accSenaka,
				TBody.SlotID.bra,
				TBody.SlotID.panz,
				TBody.SlotID.slip,
				TBody.SlotID.stkg
			}
		},
		{
			TBody.MaskMode.Underwear,
			new HashSet<TBody.SlotID>
			{
				TBody.SlotID.wear,
				TBody.SlotID.skirt,
				TBody.SlotID.onepiece,
				TBody.SlotID.mizugi_top,
				TBody.SlotID.mizugi_buttom,
				TBody.SlotID.mizugi,
				TBody.SlotID.stkg,
				TBody.SlotID.glove,
				TBody.SlotID.shoes
			}
		},
		{
			TBody.MaskMode.Swim,
			new HashSet<TBody.SlotID>
			{
				TBody.SlotID.wear,
				TBody.SlotID.skirt,
				TBody.SlotID.onepiece,
				TBody.SlotID.stkg,
				TBody.SlotID.glove,
				TBody.SlotID.shoes,
				TBody.SlotID.bra,
				TBody.SlotID.panz,
				TBody.SlotID.slip,
				TBody.SlotID.stkg
			}
		}
	};
}
