﻿using System;
using UnityEngine;
using wf.Serialization;

namespace PlayerStatus
{
	public class GP003Status : AJsonSerializationVersionControl
	{
		public override int FixVersion
		{
			get
			{
				return 1000;
			}
		}

		public int mind
		{
			get
			{
				return this.mind_;
			}
			set
			{
				this.mind_ = Mathf.Clamp(value, 0, 9999);
			}
		}

		public int academic
		{
			get
			{
				return this.academic_;
			}
			set
			{
				this.academic_ = Mathf.Clamp(value, 0, 9999);
			}
		}

		public int physical
		{
			get
			{
				return this.physical;
			}
			set
			{
				this.physical = Mathf.Clamp(value, 0, 9999);
			}
		}

		public int libido
		{
			get
			{
				return this.libido;
			}
			set
			{
				this.libido = Mathf.Clamp(value, 0, 300);
			}
		}

		[SerializeField]
		private int mind_;

		[SerializeField]
		private int academic_;

		[SerializeField]
		private int physical_;

		[SerializeField]
		private int libido_;
	}
}
