﻿using System;
using System.IO;

namespace kt
{
	public interface ISaveLoadBinary
	{
		string Header { get; }

		int Version { get; }

		string DirectoryPath { get; set; }

		string FileName { get; set; }

		void Save(BinaryWriter writer);

		void Load(BinaryReader reader, int version);
	}
}
