﻿using System;
using System.Collections.Generic;
using UnityEngine;

namespace kt.Physics
{
	[Serializable]
	public class NativeMaidPropColliderStatus : NativeCapsuleColliderStatus
	{
		public NativeMaidPropColliderStatus()
		{
			this.colliderType = NativeColliderStatus.ColliderType.MaidPropCol;
		}

		public List<MPN> centerMpnList = new List<MPN>();

		public Vector3 centerRateMax = Vector3.zero;

		public List<MPN> startRadiusMpnList = new List<MPN>();

		public float maxStartRadius = 1f;

		public List<MPN> endRadiusMpnList = new List<MPN>();

		public float maxEndRadius = 1f;
	}
}
