﻿using System;
using UnityEngine;

namespace kt.Serialization
{
	[Serializable]
	public abstract class ASerializationVersionControl : ISerializationCallbackReceiver
	{
		public ASerializationVersionControl()
		{
			this.version = this.FixVersion;
		}

		public abstract int FixVersion { get; }

		public virtual void OnAfterDeserialize()
		{
		}

		public virtual void OnBeforeSerialize()
		{
			this.version = this.FixVersion;
		}

		public int version;
	}
}
