﻿using System;
using UnityEngine;

namespace wf.Serialization
{
	[Serializable]
	public abstract class AJsonSerializationVersionControl : ISerializationCallbackReceiver
	{
		public AJsonSerializationVersionControl()
		{
			this.version = this.FixVersion;
		}

		public abstract int FixVersion { get; }

		public virtual void OnAfterDeserialize()
		{
		}

		public virtual void OnBeforeSerialize()
		{
			this.version = this.FixVersion;
		}

		[SerializeField]
		public int version;
	}
}
