﻿using System;
using System.Collections.Generic;
using UnityEngine;

public class BoneMorphDefine
{
	public static void Init()
	{
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.KubiScl, "Bip01 Neck", 0.95f, 1f, 1f, 1.05f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.KubiScl, "Bip01 Head", 0.8f, 1f, 1f, 1.2f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UdeScl, "Bip01 ? UpperArm_SCL_", 0.85f, 1f, 1f, 1.15f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UdeScl, "Bip01 ? Forearm_SCL_", 0.85f, 1f, 1f, 1.15f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.EyeSclX, "Eyepos_L", 1f, 1f, 0.92f, 1f, 1f, 1.08f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.EyeSclX, "Eyepos_R", 1f, 1f, 0.92f, 1f, 1f, 1.08f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.EyeSclY, "Eyepos_L", 1f, 0.92f, 1f, 1f, 1.08f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.EyeSclY, "Eyepos_R", 1f, 0.92f, 1f, 1f, 1.08f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.EyePosX, "Eyepos_R", 1f, 1f, 0.9f, 1f, 1f, 1.1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.EyePosX, "Eyepos_L", 1f, 1f, 0.9f, 1f, 1f, 1.1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.EyePosY, "Eyepos_R", 1f, 0.93f, 1f, 1f, 1.07f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.EyePosY, "Eyepos_L", 1f, 0.93f, 1f, 1f, 1.07f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.HeadX, "Bip01 Head", 1f, 0.9f, 0.8f, 1f, 1.1f, 1.2f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.HeadY, "Bip01 Head", 0.8f, 0.9f, 1f, 1.2f, 1.1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouPer, "Bip01 ? Thigh_SCL_", 0.87f, 1f, 1f, 1.13f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouPer, "Bip01 ? Calf_SCL_", 0.87f, 1f, 1f, 1.13f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.sintyou, "Bip01 Spine", 1f, 1f, 0.85f, 1f, 1f, 1.15f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.sintyou, "Bip01 Spine0a", 0.88f, 1f, 1f, 1.12f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.sintyou, "Bip01 Spine1", 0.88f, 1f, 1f, 1.12f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.sintyou, "Bip01 Spine1a", 0.88f, 1f, 1f, 1.12f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.sintyou, "Bip01 Neck", 0.97f, 1f, 1f, 1.03f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.sintyou, "Bip01 Head", 0.9f, 1f, 1f, 1.1f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.sintyou, "Bip01 ? UpperArm_SCL_", 0.9f, 1f, 1f, 1.1f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.sintyou, "Bip01 ? Forearm_SCL_", 0.9f, 1f, 1f, 1.1f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.sintyou, "Bip01 ? Thigh_SCL_", 0.87f, 1f, 1f, 1.13f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.sintyou, "Bip01 ? Calf_SCL_", 0.87f, 1f, 1f, 1.13f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.kata, "Bip01 ? Clavicle", 0.98f, 1f, 0.5f, 1.02f, 1f, 1.5f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.kata, "Spine1aScale", 1f, 1f, 0.95f, 1f, 1f, 1.05f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.MunePosX, "Mune_?", 0.5f, 1f, 1f, 1.5f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.MunePosY, "Mune_?", 1f, 1f, 0.5f, 1f, 1.1f, 1.5f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.MuneThick, "Mune_?_scale", 1f, 0.5f, 0.5f, 1f, 1.5f, 1.5f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.MuneLong, "Mune_?_scale", 0.5f, 1f, 1f, 1.5f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouThick1X, "Spine1aScale", 1f, 1f, 0.95f, 1f, 1f, 1.05f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouThick1Y, "Spine1aScale", 1f, 0.85f, 1f, 1f, 1.15f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouThick2X, "Spine1Scale", 1f, 1f, 0.75f, 1f, 1f, 1.25f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouThick2Y, "Spine1Scale", 1f, 0.75f, 1f, 1f, 1.25f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouThick3X, "Spine0aScale", 1f, 1f, 0.5f, 1f, 1f, 1.5f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouThick3Y, "Spine0aScale", 1f, 0.45f, 1f, 1f, 1.55f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ShoulderThick, "Kata_?", 0.925f, 0.75f, 1f, 1.075f, 1.25f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmThickX, "UpperTwist1_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmThickX, "UpperTwist2_?", 1f, 1f, 0.7f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmThickX, "UpperTwist3_?", 1f, 1f, 0.9f, 1f, 1f, 1.1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmThickY, "UpperTwist1_?", 1f, 0.6f, 1f, 1f, 1.4f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmThickY, "UpperTwist2_?", 1f, 0.7f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmThickY, "UpperTwist3_?", 1f, 0.9f, 1f, 1f, 1.1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.LowerArmThickX, "ForeTwist2_?", 1f, 1f, 0.8f, 1f, 1f, 1.2f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.LowerArmThickX, "ForeTwist3_?", 1f, 1f, 0.5f, 1f, 1f, 1.5f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.LowerArmThickX, "ForeTwist4_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.LowerArmThickX, "ForeTwist5_?", 1f, 1f, 0.9f, 1f, 1f, 1.1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.LowerArmThickY, "ForeTwist2_?", 1f, 0.75f, 1f, 1f, 1.25f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.LowerArmThickY, "ForeTwist3_?", 1f, 0.5f, 1f, 1f, 1.5f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.LowerArmThickY, "ForeTwist4_?", 1f, 0.6f, 1f, 1f, 1.4f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.LowerArmThickY, "ForeTwist5_?", 1f, 0.9f, 1f, 1f, 1.1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ElbowThickX, "UpperTwist4_?", 1f, 1f, 0.8f, 1f, 1f, 1.2f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ElbowThickX, "UpperTwist5_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ElbowThickX, "ForeTwist1_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ElbowThickX, "ForeTwist2_?", 1f, 1f, 0.75f, 1f, 1f, 1.25f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ElbowThickY, "UpperTwist4_?", 1f, 0.8f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ElbowThickY, "UpperTwist5_?", 1f, 0.6f, 1f, 1f, 1.4f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ElbowThickY, "ForeTwist1_?", 1f, 0.6f, 1f, 1f, 1.4f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ElbowThickY, "ForeTwist2_?", 1f, 0.75f, 1f, 1f, 1.25f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.NeckThickX, "NeckScale", 1f, 1f, 0.35f, 1f, 1f, 1.65f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.NeckThickX, "HeadScale", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.NeckThickY, "NeckScale", 1f, 0.8f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.NeckThickY, "HeadScale", 1f, 0.85f, 1f, 1f, 1.15f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.HandSize, "Bip01 ? Hand", 0.925f, 0.925f, 0.925f, 1.075f, 1.075f, 1.075f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouThick4X, "SpineScale", 1f, 1f, 0.5f, 1f, 1f, 1.5f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouThick4Y, "SpineScale", 1f, 0.3f, 1f, 1f, 1.7f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouThick5X, "PelvisScale", 1f, 1f, 0.75f, 1f, 1f, 1.25f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.DouThick5Y, "PelvisScale", 1f, 0.85f, 1f, 1f, 1.15f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.WaistPos, "Bip01 Spine0a", 0.75f, 1f, 1f, 1.25f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.WaistPos, "Bip01 Spine1", 1.225f, 1f, 1f, 0.775f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAID, MPN.HipRot, "Hip_?", 0.5f, 1f, 1f, 1.5f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighThickX, "ThighTwist1_?", 1f, 1f, 0.615f, 1f, 1f, 1.55f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighThickX, "ThighTwist2_?", 1f, 1f, 0.79f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighThickX, "ThighTwist3_?", 1f, 1f, 0.825f, 1f, 1f, 1.25f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighThickY, "ThighTwist1_?", 1f, 0.73f, 1f, 1f, 1.45f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighThickY, "ThighTwist2_?", 1f, 0.88f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighThickY, "ThighTwist3_?", 1f, 0.91f, 1f, 1f, 1.15f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.KneeThickX, "ThighTwist4_?", 1f, 1f, 0.88f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.KneeThickX, "ThighTwist5_?", 1f, 1f, 0.68f, 1f, 1f, 1.8f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.KneeThickX, "CalfTwist1_?", 1f, 1f, 0.68f, 1f, 1f, 1.8f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.KneeThickX, "CalfTwist2_?", 1f, 1f, 0.84f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.KneeThickY, "ThighTwist4_?", 1f, 0.92f, 1f, 1f, 1.25f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.KneeThickY, "ThighTwist5_?", 1f, 0.72f, 1f, 1f, 1.7f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.KneeThickY, "CalfTwist1_?", 1f, 0.72f, 1f, 1f, 1.7f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.KneeThickY, "CalfTwist2_?", 1f, 0.88f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.CalfThickX, "CalfTwist2_?", 1f, 1f, 0.84f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.CalfThickX, "CalfTwist3_?", 1f, 1f, 0.76f, 1f, 1f, 1.6f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.CalfThickX, "CalfTwist4_?", 1f, 1f, 0.84f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.CalfThickY, "CalfTwist2_?", 1f, 0.85f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.CalfThickY, "CalfTwist3_?", 1f, 0.75f, 1f, 1f, 1.5f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.CalfThickY, "CalfTwist4_?", 1f, 0.85f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.AnkleThickX, "CalfTwist3_?", 1f, 1f, 0.88f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.AnkleThickX, "CalfTwist4_?", 1f, 1f, 0.82f, 1f, 1f, 1.45f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.AnkleThickX, "CalfTwist5_?", 1f, 1f, 0.82f, 1f, 1f, 1.45f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.AnkleThickY, "CalfTwist3_?", 1f, 0.895f, 1f, 1f, 1.15f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.AnkleThickY, "CalfTwist4_?", 1f, 0.755f, 1f, 1f, 1.35f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.AnkleThickY, "CalfTwist5_?", 1f, 0.804f, 1f, 1f, 1.28f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.FootSize, "Bip01 ? Foot", 1f, 0.85f, 0.85f, 1f, 1.15f, 1.15f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmLowerThickX, "UpperTwist2_?", 1f, 1f, 0.9f, 1f, 1f, 1.1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmLowerThickX, "UpperTwist3_?", 1f, 1f, 0.7f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmLowerThickX, "UpperTwist4_?", 1f, 1f, 0.8f, 1f, 1f, 1.2f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmLowerThickY, "UpperTwist2_?", 1f, 0.9f, 1f, 1f, 1.1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmLowerThickY, "UpperTwist3_?", 1f, 0.7f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.UpperArmLowerThickY, "UpperTwist4_?", 1f, 0.8f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.WristThickX, "ForeTwist5_?", 1f, 1f, 0.7f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.WristThickX, "ForeTwist6_?", 1f, 1f, 0.75f, 1f, 1f, 1.25f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.WristThickY, "ForeTwist5_?", 1f, 0.7f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.WristThickY, "ForeTwist6_?", 1f, 0.75f, 1f, 1f, 1.25f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ClavicleThick, "Bip01 ? Clavicle_SCL_", 1f, 1f, 0.75f, 1f, 1f, 1.25f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ShoulderTension, "Kata_?", 0.925f, 1f, 0.75f, 1.075f, 1f, 1.25f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighLowerThickX, "ThighTwist2_?", 1f, 1f, 0.88f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighLowerThickX, "ThighTwist3_?", 1f, 1f, 0.84f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighLowerThickX, "ThighTwist4_?", 1f, 1f, 0.88f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighLowerThickY, "ThighTwist2_?", 1f, 0.86f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighLowerThickY, "ThighTwist3_?", 1f, 0.79f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighLowerThickY, "ThighTwist4_?", 1f, 0.825f, 1f, 1f, 1.25f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighShin, "Bip01 ? Thigh_SCL_", 1.05f, 1f, 1f, 0.95f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAID, MPN.ThighShin, "Bip01 ? Calf_SCL_", 0.95f, 1f, 1f, 1.05f, 1f, 1f);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ThighTwist1_?", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ThighTwist2_?", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ThighTwist3_?", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ThighTwist4_?", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ThighTwist5_?", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "Bip01 ? Calf", "Bip01 ? Thigh_SCL_", true, false);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "CalfTwist1_?", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "CalfTwist2_?", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "CalfTwist3_?", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "CalfTwist4_?", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "CalfTwist5_?", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "Bip01 ? Foot", "Bip01 ? Calf_SCL_", true, false);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "UpperTwist1_?", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "UpperTwist2_?", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "UpperTwist3_?", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "UpperTwist4_?", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "UpperTwist5_?", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "Bip01 ? Forearm", "Bip01 ? UpperArm_SCL_", true, false);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ForeTwist1_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ForeTwist2_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ForeTwist3_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ForeTwist4_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ForeTwist5_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "ForeTwist6_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "Bip01 ? Hand", "Bip01 ? Forearm_SCL_", true, false);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "_IK_UpperArm?_tgt", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "_IK_UpperArm?_2_tgt", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "_IK_ForeArm?_tgt", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "_IK_ForeArm?_2_tgt", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "_IK_thigh?_tgt", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "_IK_thigh?_2_tgt", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "_IK_calf?_tgt", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAID, "_IK_calf?_2_tgt", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.KubiScl, "Bip01 Neck", 0.95f, 1f, 1f, 1.05f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.KubiScl, "Bip01 Head", 0.8f, 1f, 1f, 1.2f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UdeScl, "Bip01 ? UpperArm_SCL_", 0.85f, 1f, 1f, 1.15f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UdeScl, "Bip01 ? Forearm_SCL_", 0.85f, 1f, 1f, 1.15f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.EyeSclX, "Eyepos_L", 1f, 1f, 0.92f, 1f, 1f, 1.08f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.EyeSclX, "Eyepos_R", 1f, 1f, 0.92f, 1f, 1f, 1.08f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.EyeSclY, "Eyepos_L", 1f, 0.92f, 1f, 1f, 1.08f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.EyeSclY, "Eyepos_R", 1f, 0.92f, 1f, 1f, 1.08f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.EyePosX, "Eyepos_R", 1f, 1f, 0.9f, 1f, 1f, 1.1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.EyePosX, "Eyepos_L", 1f, 1f, 0.9f, 1f, 1f, 1.1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.EyePosY, "Eyepos_R", 1f, 0.93f, 1f, 1f, 1.07f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.EyePosY, "Eyepos_L", 1f, 0.93f, 1f, 1f, 1.07f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.HeadX, "Bip01 Head", 1f, 0.9f, 0.8f, 1f, 1.1f, 1.2f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.HeadY, "Bip01 Head", 0.8f, 0.9f, 1f, 1.2f, 1.1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouPer, "Bip01 ? Thigh_SCL_", 0.87f, 1f, 1f, 1.13f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouPer, "Bip01 ? Calf_SCL_", 0.87f, 1f, 1f, 1.13f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.sintyou, "Bip01 Spine", 1f, 1f, 0.85f, 1f, 1f, 1.15f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.sintyou, "Bip01 Spine0a", 0.88f, 1f, 1f, 1.12f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.sintyou, "Bip01 Spine1", 0.88f, 1f, 1f, 1.12f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.sintyou, "Bip01 Spine1a", 0.88f, 1f, 1f, 1.12f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.sintyou, "Bip01 Neck", 0.97f, 1f, 1f, 1.03f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.sintyou, "Bip01 Head", 0.9f, 1f, 1f, 1.1f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.sintyou, "Bip01 ? UpperArm_SCL_", 0.9f, 1f, 1f, 1.1f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.sintyou, "Bip01 ? Forearm_SCL_", 0.9f, 1f, 1f, 1.1f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.sintyou, "Bip01 ? Thigh_SCL_", 0.87f, 1f, 1f, 1.13f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.sintyou, "Bip01 ? Calf_SCL_", 0.87f, 1f, 1f, 1.13f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.kata, "Bip01 ? Clavicle", 0.98f, 1f, 0.5f, 1.02f, 1f, 1.5f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.kata, "Spine1aScale", 1f, 1f, 0.95f, 1f, 1f, 1.05f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouThick1X, "Spine1aScale", 1f, 1f, 0.95f, 1f, 1f, 1.05f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouThick1Y, "Spine1aScale", 1f, 0.85f, 1f, 1f, 1.15f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouThick2X, "Spine1Scale", 1f, 1f, 0.55f, 1f, 1f, 1.45f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouThick2Y, "Spine1Scale", 1f, 0.65f, 1f, 1f, 1.35f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouThick3X, "Spine0aScale", 1f, 1f, 0.25f, 1f, 1f, 1.75f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouThick3Y, "Spine0aScale", 1f, 0.6f, 1f, 1f, 1.4f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ShoulderThick, "Kata_?", 0.8f, 0.7f, 1f, 1.2f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ShoulderTension, "Kata_?", 0.8f, 1f, 0.8f, 1.2f, 1f, 1.2f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmThickX, "UpperTwist1_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmThickX, "UpperTwist2_?", 1f, 1f, 0.7f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmThickX, "UpperTwist3_?", 1f, 1f, 0.9f, 1f, 1f, 1.1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmThickY, "UpperTwist1_?", 1f, 0.6f, 1f, 1f, 1.4f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmThickY, "UpperTwist2_?", 1f, 0.7f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmThickY, "UpperTwist3_?", 1f, 0.9f, 1f, 1f, 1.1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmLowerThickX, "UpperTwist2_?", 1f, 1f, 0.9f, 1f, 1f, 1.1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmLowerThickX, "UpperTwist3_?", 1f, 1f, 0.7f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmLowerThickX, "UpperTwist4_?", 1f, 1f, 0.8f, 1f, 1f, 1.2f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmLowerThickY, "UpperTwist2_?", 1f, 0.9f, 1f, 1f, 1.1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmLowerThickY, "UpperTwist3_?", 1f, 0.7f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.UpperArmLowerThickY, "UpperTwist4_?", 1f, 0.8f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ElbowThickX, "UpperTwist4_?", 1f, 1f, 0.8f, 1f, 1f, 1.2f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ElbowThickX, "UpperTwist5_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ElbowThickX, "ForeTwist1_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ElbowThickX, "ForeTwist2_?", 1f, 1f, 0.8f, 1f, 1f, 1.2f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ElbowThickY, "UpperTwist4_?", 1f, 0.8f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ElbowThickY, "UpperTwist5_?", 1f, 0.6f, 1f, 1f, 1.4f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ElbowThickY, "ForeTwist1_?", 1f, 0.6f, 1f, 1f, 1.4f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ElbowThickY, "ForeTwist2_?", 1f, 0.8f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.LowerArmThickX, "ForeTwist2_?", 1f, 1f, 0.85f, 1f, 1f, 1.15f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.LowerArmThickX, "ForeTwist3_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.LowerArmThickX, "ForeTwist4_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.LowerArmThickX, "ForeTwist5_?", 1f, 1f, 0.85f, 1f, 1f, 1.15f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.LowerArmThickY, "ForeTwist2_?", 1f, 0.8f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.LowerArmThickY, "ForeTwist3_?", 1f, 0.65f, 1f, 1f, 1.35f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.LowerArmThickY, "ForeTwist4_?", 1f, 0.6f, 1f, 1f, 1.4f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.LowerArmThickY, "ForeTwist5_?", 1f, 0.9f, 1f, 1f, 1.1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.WristThickX, "ForeTwist5_?", 1f, 1f, 0.85f, 1f, 1f, 1.15f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.WristThickX, "ForeTwist6_?", 1f, 1f, 0.95f, 1f, 1f, 1.05f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.WristThickY, "ForeTwist5_?", 1f, 0.85f, 1f, 1f, 1.15f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.WristThickY, "ForeTwist6_?", 1f, 0.95f, 1f, 1f, 1.05f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.NeckThickX, "NeckScale", 1f, 1f, 0.35f, 1f, 1f, 1.65f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.NeckThickX, "HeadScale", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.NeckThickY, "NeckScale", 1f, 0.8f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.NeckThickY, "HeadScale", 1f, 0.85f, 1f, 1f, 1.15f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.HandSize, "Bip01 ? Hand", 0.85f, 0.85f, 0.85f, 1.15f, 1.15f, 1.15f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouThick4X, "SpineScale", 1f, 1f, 0.2f, 1f, 1f, 1.8f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouThick4Y, "SpineScale", 1f, 0.3f, 1f, 1f, 1.7f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouThick5X, "PelvisScale", 1f, 1f, 0.65f, 1f, 1f, 1.35f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.DouThick5Y, "PelvisScale", 1f, 0.6f, 1f, 1f, 1.4f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.WaistPos, "Bip01 Spine0a", 0.75f, 1f, 1f, 1.25f, 1f, 1f);
		BoneMorphDefine.SetPosition(BoneMorphDefine.CH.MAN, MPN.WaistPos, "Bip01 Spine1", 1.225f, 1f, 1f, 0.775f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighThickX, "ThighTwist1_?", 1f, 1f, 0.45f, 1f, 1f, 1.55f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighThickX, "ThighTwist2_?", 1f, 1f, 0.7f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighThickX, "ThighTwist3_?", 1f, 1f, 0.75f, 1f, 1f, 1.25f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighThickY, "ThighTwist1_?", 1f, 0.55f, 1f, 1f, 1.45f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighThickY, "ThighTwist2_?", 1f, 0.8f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighThickY, "ThighTwist3_?", 1f, 0.85f, 1f, 1f, 1.15f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighLowerThickX, "ThighTwist2_?", 1f, 1f, 0.7f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighLowerThickX, "ThighTwist3_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighLowerThickX, "ThighTwist4_?", 1f, 1f, 0.7f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighLowerThickY, "ThighTwist2_?", 1f, 0.8f, 1f, 1f, 1.2f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighLowerThickY, "ThighTwist3_?", 1f, 0.7f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighLowerThickY, "ThighTwist4_?", 1f, 0.75f, 1f, 1f, 1.25f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.KneeThickX, "ThighTwist4_?", 1f, 1f, 0.7f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.KneeThickX, "ThighTwist5_?", 1f, 1f, 0.2f, 1f, 1f, 1.8f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.KneeThickX, "CalfTwist1_?", 1f, 1f, 0.2f, 1f, 1f, 1.8f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.KneeThickX, "CalfTwist2_?", 1f, 1f, 0.65f, 1f, 1f, 1.35f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.KneeThickY, "ThighTwist4_?", 1f, 0.75f, 1f, 1f, 1.25f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.KneeThickY, "ThighTwist5_?", 1f, 0.3f, 1f, 1f, 1.7f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.KneeThickY, "CalfTwist1_?", 1f, 0.3f, 1f, 1f, 1.7f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.KneeThickY, "CalfTwist2_?", 1f, 0.7f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.CalfThickX, "CalfTwist2_?", 1f, 1f, 0.65f, 1f, 1f, 1.35f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.CalfThickX, "CalfTwist3_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.CalfThickX, "CalfTwist4_?", 1f, 1f, 0.6f, 1f, 1f, 1.4f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.CalfThickY, "CalfTwist2_?", 1f, 0.7f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.CalfThickY, "CalfTwist3_?", 1f, 0.65f, 1f, 1f, 1.35f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.CalfThickY, "CalfTwist4_?", 1f, 0.7f, 1f, 1f, 1.3f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.AnkleThickX, "CalfTwist3_?", 1f, 1f, 0.7f, 1f, 1f, 1.3f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.AnkleThickX, "CalfTwist4_?", 1f, 1f, 0.55f, 1f, 1f, 1.45f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.AnkleThickX, "CalfTwist5_?", 1f, 1f, 0.15f, 1f, 1f, 1.85f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.AnkleThickY, "CalfTwist3_?", 1f, 0.85f, 1f, 1f, 1.15f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.AnkleThickY, "CalfTwist4_?", 1f, 0.65f, 1f, 1f, 1.35f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.AnkleThickY, "CalfTwist5_?", 1f, 0.4f, 1f, 1f, 1.6f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.FootSize, "Bip01 ? Foot", 1f, 0.85f, 0.85f, 1f, 1.15f, 1.15f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ClavicleThick, "Bip01 ? Clavicle_SCL_", 1f, 1f, 0.75f, 1f, 1f, 1.25f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighShin, "Bip01 ? Thigh_SCL_", 1.05f, 1f, 1f, 0.95f, 1f, 1f);
		BoneMorphDefine.SetScale(BoneMorphDefine.CH.MAN, MPN.ThighShin, "Bip01 ? Calf_SCL_", 0.95f, 1f, 1f, 1.05f, 1f, 1f);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ThighTwist1_?", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ThighTwist2_?", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ThighTwist3_?", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ThighTwist4_?", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ThighTwist5_?", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "Bip01 ? Calf", "Bip01 ? Thigh_SCL_", true, false);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "CalfTwist1_?", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "CalfTwist2_?", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "CalfTwist3_?", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "CalfTwist4_?", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "CalfTwist5_?", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "Bip01 ? Foot", "Bip01 ? Calf_SCL_", true, false);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "UpperTwist1_?", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "UpperTwist2_?", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "UpperTwist3_?", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "UpperTwist4_?", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "UpperTwist5_?", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "Bip01 ? Forearm", "Bip01 ? UpperArm_SCL_", true, false);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ForeTwist1_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ForeTwist2_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ForeTwist3_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ForeTwist4_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ForeTwist5_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "ForeTwist6_?", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "Bip01 ? Hand", "Bip01 ? Forearm_SCL_", true, false);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "_IK_UpperArm?_tgt", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "_IK_UpperArm?_2_tgt", "Bip01 ? UpperArm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "_IK_ForeArm?_tgt", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "_IK_ForeArm?_2_tgt", "Bip01 ? Forearm_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "_IK_thigh?_tgt", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "_IK_thigh?_2_tgt", "Bip01 ? Thigh_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "_IK_calf?_tgt", "Bip01 ? Calf_SCL_", true, true);
		BoneMorphDefine.SetLink(BoneMorphDefine.CH.MAN, "_IK_calf?_2_tgt", "Bip01 ? Calf_SCL_", true, true);
	}

	private static void SetScale(BoneMorphDefine.CH ch, MPN tag, string bname, float x, float y, float z, float x2, float y2, float z2)
	{
		Action<string> action = delegate(string bn)
		{
			Dictionary<string, List<BoneMorphDefine.BoneProp>> dictionary = (ch != BoneMorphDefine.CH.MAID) ? BoneMorphDefine.m_dicMan : BoneMorphDefine.m_dicMaid;
			List<BoneMorphDefine.BoneProp> list;
			if (!dictionary.TryGetValue(bn, out list))
			{
				List<BoneMorphDefine.BoneProp> list2 = new List<BoneMorphDefine.BoneProp>();
				dictionary[bn] = list2;
				list = list2;
			}
			BoneMorphDefine.BoneProp boneProp = list.Find((BoneMorphDefine.BoneProp a) => a.strProp == tag);
			if (boneProp == null)
			{
				boneProp = new BoneMorphDefine.BoneProp();
				list.Add(boneProp);
			}
			boneProp.strProp = tag;
			boneProp.nIndex = Array.FindIndex<MPN>(BoneMorphDefine.PropNames, (MPN a) => a == tag);
			NDebug.Assert(boneProp.nIndex != -1, () => "SetScale " + BoneMorphDefine.PropNames + " not found.");
			boneProp.bExistS = true;
			boneProp.vMinS = new Vector3(x, y, z);
			boneProp.vMaxS = new Vector3(x2, y2, z2);
		};
		if (bname.Contains("?"))
		{
			string obj = bname.Replace('?', 'L');
			string obj2 = bname.Replace('?', 'R');
			action(obj);
			action(obj2);
		}
		else
		{
			action(bname);
		}
	}

	private static void SetPosition(BoneMorphDefine.CH ch, MPN tag, string bname, float x, float y, float z, float x2, float y2, float z2)
	{
		Action<string> action = delegate(string bn)
		{
			Dictionary<string, List<BoneMorphDefine.BoneProp>> dictionary = (ch != BoneMorphDefine.CH.MAID) ? BoneMorphDefine.m_dicMan : BoneMorphDefine.m_dicMaid;
			List<BoneMorphDefine.BoneProp> list;
			if (!dictionary.TryGetValue(bn, out list))
			{
				List<BoneMorphDefine.BoneProp> list2 = new List<BoneMorphDefine.BoneProp>();
				dictionary[bn] = list2;
				list = list2;
			}
			BoneMorphDefine.BoneProp boneProp = list.Find((BoneMorphDefine.BoneProp a) => a.strProp == tag);
			if (boneProp == null)
			{
				boneProp = new BoneMorphDefine.BoneProp();
				list.Add(boneProp);
			}
			boneProp.strProp = tag;
			boneProp.nIndex = Array.FindIndex<MPN>(BoneMorphDefine.PropNames, (MPN a) => a == tag);
			NDebug.Assert(boneProp.nIndex != -1, () => "SetPosition " + BoneMorphDefine.PropNames + " not found.");
			boneProp.bExistP = true;
			boneProp.vMinP = new Vector3(x, y, z);
			boneProp.vMaxP = new Vector3(x2, y2, z2);
		};
		if (bname.Contains("?"))
		{
			string obj = bname.Replace('?', 'L');
			string obj2 = bname.Replace('?', 'R');
			action(obj);
			action(obj2);
		}
		else
		{
			action(bname);
		}
	}

	private static void SetRotation(BoneMorphDefine.CH ch, MPN tag, string bname, float axisX, float axisY, float axisZ, float rot, float rot2)
	{
		Action<string> action = delegate(string bn)
		{
			Dictionary<string, List<BoneMorphDefine.BoneProp>> dictionary = (ch != BoneMorphDefine.CH.MAID) ? BoneMorphDefine.m_dicMan : BoneMorphDefine.m_dicMaid;
			List<BoneMorphDefine.BoneProp> list;
			if (!dictionary.TryGetValue(bn, out list))
			{
				List<BoneMorphDefine.BoneProp> list2 = new List<BoneMorphDefine.BoneProp>();
				dictionary[bn] = list2;
				list = list2;
			}
			BoneMorphDefine.BoneProp boneProp = list.Find((BoneMorphDefine.BoneProp a) => a.strProp == tag);
			if (boneProp == null)
			{
				boneProp = new BoneMorphDefine.BoneProp();
				list.Add(boneProp);
			}
			boneProp.strProp = tag;
			boneProp.nIndex = Array.FindIndex<MPN>(BoneMorphDefine.PropNames, (MPN a) => a == tag);
			NDebug.Assert(boneProp.nIndex != -1, () => "SetRotation " + BoneMorphDefine.PropNames + " not found.");
			boneProp.bExistR = true;
			boneProp.vRotAxis = new Vector3(axisX, axisY, axisZ);
			boneProp.fMinR = rot;
			boneProp.fMaxR = rot2;
		};
		if (bname.Contains("?"))
		{
			string obj = bname.Replace('?', 'L');
			string obj2 = bname.Replace('?', 'R');
			action(obj);
			action(obj2);
		}
		else
		{
			action(bname);
		}
	}

	private static void SetLink(BoneMorphDefine.CH ch, string my_, string virtualParent_, bool calcPos_ = true, bool calcScale_ = true)
	{
		Action<string, string> action = delegate(string bnMy, string bnParnt)
		{
			List<BoneMorphDefine.LinkProp> list = (ch != BoneMorphDefine.CH.MAID) ? BoneMorphDefine.m_linkedBoneManDef : BoneMorphDefine.m_linkedBoneMaidDef;
			list.Add(new BoneMorphDefine.LinkProp
			{
				myName = bnMy,
				virtualParent = bnParnt,
				calcPos = calcPos_,
				calcScale = calcScale_
			});
		};
		if (my_.Contains("?") || virtualParent_.Contains("?"))
		{
			string arg = my_.Replace('?', 'L');
			string arg2 = my_.Replace('?', 'R');
			string arg3 = virtualParent_.Replace('?', 'L');
			string arg4 = virtualParent_.Replace('?', 'R');
			action(arg, arg3);
			action(arg2, arg4);
		}
		else
		{
			action(my_, virtualParent_);
		}
	}

	public static Dictionary<string, List<BoneMorphDefine.BoneProp>> m_dicMaid = new Dictionary<string, List<BoneMorphDefine.BoneProp>>();

	public static Dictionary<string, List<BoneMorphDefine.BoneProp>> m_dicMan = new Dictionary<string, List<BoneMorphDefine.BoneProp>>();

	public static List<BoneMorphDefine.LinkProp> m_linkedBoneMaidDef = new List<BoneMorphDefine.LinkProp>();

	public static List<BoneMorphDefine.LinkProp> m_linkedBoneManDef = new List<BoneMorphDefine.LinkProp>();

	public static readonly MPN[] PropNames = new MPN[]
	{
		MPN.KubiScl,
		MPN.UdeScl,
		MPN.EyeSclX,
		MPN.EyeSclY,
		MPN.EyePosX,
		MPN.EyePosY,
		MPN.HeadX,
		MPN.HeadY,
		MPN.DouPer,
		MPN.sintyou,
		MPN.kata,
		MPN.MuneUpDown,
		MPN.MuneYori,
		MPN.MunePosX,
		MPN.MunePosY,
		MPN.MuneThick,
		MPN.MuneLong,
		MPN.MuneDir,
		MPN.DouThick1X,
		MPN.DouThick1Y,
		MPN.DouThick2X,
		MPN.DouThick2Y,
		MPN.DouThick3X,
		MPN.DouThick3Y,
		MPN.ShoulderThick,
		MPN.UpperArmThickX,
		MPN.UpperArmThickY,
		MPN.LowerArmThickX,
		MPN.LowerArmThickY,
		MPN.ElbowThickX,
		MPN.ElbowThickY,
		MPN.NeckThickX,
		MPN.NeckThickY,
		MPN.HandSize,
		MPN.DouThick4X,
		MPN.DouThick4Y,
		MPN.DouThick5X,
		MPN.DouThick5Y,
		MPN.WaistPos,
		MPN.HipRot,
		MPN.ThighThickX,
		MPN.ThighThickY,
		MPN.ThighThickX,
		MPN.ThighThickY,
		MPN.KneeThickX,
		MPN.KneeThickY,
		MPN.CalfThickX,
		MPN.CalfThickY,
		MPN.AnkleThickX,
		MPN.AnkleThickY,
		MPN.FootSize,
		MPN.UpperArmLowerThickX,
		MPN.UpperArmLowerThickY,
		MPN.WristThickX,
		MPN.WristThickY,
		MPN.ClavicleThick,
		MPN.ShoulderTension,
		MPN.ThighLowerThickX,
		MPN.ThighLowerThickY,
		MPN.ThighShin
	};

	public class BoneProp
	{
		public MPN strProp;

		public int nIndex;

		public bool bExistP;

		public bool bExistS;

		public bool bExistR;

		public Vector3 vMinP;

		public Vector3 vMaxP;

		public Vector3 vMinS;

		public Vector3 vMaxS;

		public Vector3 vRotAxis;

		public float fMinR;

		public float fMaxR;
	}

	private enum CH
	{
		MAID,
		MAN
	}

	public class LinkProp
	{
		public string myName;

		public string virtualParent;

		public bool calcPos;

		public bool calcScale;
	}
}
