﻿using System;
using kt.Utility;
using UnityEngine;

namespace kt.Physics
{
	[Serializable]
	public class NativeCapsuleColliderStatus : NativeColliderStatus
	{
		public NativeCapsuleColliderStatus()
		{
			this.colliderType = NativeColliderStatus.ColliderType.Capsule;
		}

		[Header("コライダーの方向")]
		public MathUtility.VectorType direction = MathUtility.VectorType.Y;

		[Header("コライダー方向を反転させるか")]
		public bool isDirectionInverse;

		[Header("始点側の半径")]
		public float startRadius = 0.5f;

		[Header("終点側の半径")]
		public float endRadius = 0.5f;

		[Header("長さ")]
		public float height;
	}
}
