﻿using System;
using UnityEngine;

namespace kt.ik
{
	public class BodyOffsetIKParam : IKAttachParam
	{
		public BodyOffsetIKParam(Maid src_chara, Maid target_chara) : base(src_chara, target_chara)
		{
		}

		public string posBaseBoneName
		{
			get
			{
				return (!this.posBaseBone) ? string.Empty : this.posBaseBone.name;
			}
			set
			{
				if (this.srcChara)
				{
					this.posBaseBone = this.srcChara.body0.GetBone(value);
				}
			}
		}

		public IKBodyOffsetCtrl.HeightFitType heightFitType = IKBodyOffsetCtrl.HeightFitType.None;

		public Transform posBaseBone;

		public Vector3 addOffset = Vector3.zero;
	}
}
